Upstream information

CVE-2016-4658 at MITRE

Description

xpointer.c in libxml2 before 2.9.5 (as used in Apple iOS before 10, OS X before 10.12, tvOS before 10, and watchOS before 3, and other products) does not forbid namespace nodes in XPointer ranges, which allows remote attackers to execute arbitrary code or cause a denial of service (use-after-free and memory corruption) via a crafted XML document.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 10 5.1
Vector AV:N/AC:L/Au:N/C:C/I:C/A:C AV:N/AC:H/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Low High
Authentication None None
Confidentiality Impact Complete Partial
Integrity Impact Complete Partial
Availability Impact Complete Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 9.8
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entries: 1005544 [RESOLVED / FIXED], 1014873 [RESOLVED / FIXED], 1069433 [RESOLVED / DUPLICATE], 1078813 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • libxml2 >= 2.9.1-26.3.1
  • libxml2-2 >= 2.9.1-26.3.1
  • libxml2-2-32bit >= 2.9.1-26.3.1
  • libxml2-tools >= 2.9.1-26.3.1
  • python-libxml2 >= 2.9.1-26.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1555
SUSE Linux Enterprise Desktop 12 SP2
  • libxml2 >= 2.9.4-33.1
  • libxml2-2 >= 2.9.4-33.1
  • libxml2-2-32bit >= 2.9.4-33.1
  • libxml2-tools >= 2.9.4-33.1
  • python-libxml2 >= 2.9.4-33.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-192
SUSE Linux Enterprise Desktop 12 SP3
  • libxml2-2 >= 2.9.4-45.1
  • libxml2-2-32bit >= 2.9.4-45.1
  • libxml2-tools >= 2.9.4-45.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libxml2-2
SUSE Linux Enterprise High Availability 15
  • ruby2.5-rubygem-nokogiri >= 1.8.2-1.16
Patchnames:
SUSE Linux Enterprise High Availability 15 GA ruby2.5-rubygem-nokogiri
SUSE Linux Enterprise Module for Basesystem 15
  • libxml2-2 >= 2.9.7-1.30
  • libxml2-2-32bit >= 2.9.7-1.30
  • libxml2-devel >= 2.9.7-1.30
  • libxml2-tools >= 2.9.7-1.30
  • python2-libxml2-python >= 2.9.7-1.30
  • python3-libxml2-python >= 2.9.7-1.30
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libxml2-2
SUSE Linux Enterprise Module for Basesystem 15 GA python2-libxml2-python
SUSE Linux Enterprise Module for Containers 12
  • sles12-docker-image >= 1.1.4-20171002
  • sles12sp1-docker-image >= 1.0.7-20171002
  • sles12sp2-docker-image >= 1.0.2-20180821
Patchnames:
SUSE-SLE-Module-Containers-12-2017-1672
SUSE-SLE-Module-Containers-12-2017-1673
SUSE-SLE-Module-Containers-12-2018-1762
SUSE Linux Enterprise Server 11 SP4
  • libxml2 >= 2.7.6-0.50.1
  • libxml2-32bit >= 2.7.6-0.50.1
  • libxml2-doc >= 2.7.6-0.50.1
  • libxml2-python >= 2.7.6-0.50.4
  • libxml2-x86 >= 2.7.6-0.50.1
Patchnames:
slessp4-libxml2-12818
SUSE Linux Enterprise Server 12 SP1
  • libxml2 >= 2.9.1-26.3.1
  • libxml2-2 >= 2.9.1-26.3.1
  • libxml2-2-32bit >= 2.9.1-26.3.1
  • libxml2-doc >= 2.9.1-26.3.1
  • libxml2-tools >= 2.9.1-26.3.1
  • python-libxml2 >= 2.9.1-26.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1555
SUSE Linux Enterprise Server 12 SP2
  • libxml2 >= 2.9.4-33.1
  • libxml2-2 >= 2.9.4-33.1
  • libxml2-2-32bit >= 2.9.4-33.1
  • libxml2-doc >= 2.9.4-33.1
  • libxml2-tools >= 2.9.4-33.1
  • python-libxml2 >= 2.9.4-33.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-192
SUSE Linux Enterprise Server 12 SP3
  • libxml2-2 >= 2.9.4-45.1
  • libxml2-2-32bit >= 2.9.4-45.1
  • libxml2-doc >= 2.9.4-45.1
  • libxml2-tools >= 2.9.4-45.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libxml2-2
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libxml2 >= 2.9.4-33.1
  • libxml2-2 >= 2.9.4-33.1
  • libxml2-doc >= 2.9.4-33.1
  • libxml2-tools >= 2.9.4-33.1
  • python-libxml2 >= 2.9.4-33.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-192
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libxml2 >= 2.7.6-0.50.1
  • libxml2-32bit >= 2.7.6-0.50.1
  • libxml2-doc >= 2.7.6-0.50.1
  • libxml2-python >= 2.7.6-0.50.4
  • libxml2-x86 >= 2.7.6-0.50.1
Patchnames:
slessp4-libxml2-12818
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libxml2 >= 2.9.1-26.3.1
  • libxml2-2 >= 2.9.1-26.3.1
  • libxml2-2-32bit >= 2.9.1-26.3.1
  • libxml2-doc >= 2.9.1-26.3.1
  • libxml2-tools >= 2.9.1-26.3.1
  • python-libxml2 >= 2.9.1-26.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1555
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libxml2 >= 2.9.4-33.1
  • libxml2-2 >= 2.9.4-33.1
  • libxml2-2-32bit >= 2.9.4-33.1
  • libxml2-doc >= 2.9.4-33.1
  • libxml2-tools >= 2.9.4-33.1
  • python-libxml2 >= 2.9.4-33.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-192
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libxml2 >= 2.7.6-0.50.1
  • libxml2-devel >= 2.7.6-0.50.1
  • libxml2-devel-32bit >= 2.7.6-0.50.1
Patchnames:
sdksp4-libxml2-12818
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libxml2 >= 2.9.1-26.3.1
  • libxml2-devel >= 2.9.1-26.3.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1555
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libxml2 >= 2.9.4-33.1
  • libxml2-devel >= 2.9.4-33.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-192
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libxml2-devel >= 2.9.4-45.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libxml2-devel
openSUSE Leap 15.0
  • libxml2-2 >= 2.9.7-lp150.1.7
  • libxml2-2-32bit >= 2.9.7-lp150.1.7
  • libxml2-tools >= 2.9.7-lp150.1.7
  • python3-libxml2-python >= 2.9.7-lp150.1.7
Patchnames:
openSUSE Leap 15.0 GA libxml2-2
openSUSE Leap 15.0 GA python3-libxml2-python
openSUSE Leap 42.1
  • libxml2 >= 2.9.1-22.1
  • libxml2-2 >= 2.9.1-22.1
  • libxml2-2-32bit >= 2.9.1-22.1
  • libxml2-2-debuginfo >= 2.9.1-22.1
  • libxml2-2-debuginfo-32bit >= 2.9.1-22.1
  • libxml2-debugsource >= 2.9.1-22.1
  • libxml2-devel >= 2.9.1-22.1
  • libxml2-devel-32bit >= 2.9.1-22.1
  • libxml2-doc >= 2.9.1-22.1
  • libxml2-tools >= 2.9.1-22.1
  • libxml2-tools-debuginfo >= 2.9.1-22.1
  • python-libxml2 >= 2.9.1-22.1
  • python-libxml2-debuginfo >= 2.9.1-22.1
  • python-libxml2-debugsource >= 2.9.1-22.1
Patchnames:
openSUSE-2016-1259
openSUSE Leap 42.2
  • libxml2 >= 2.9.4-3.1
  • libxml2-2 >= 2.9.4-3.1
  • libxml2-2-32bit >= 2.9.4-3.1
  • libxml2-2-debuginfo >= 2.9.4-3.1
  • libxml2-2-debuginfo-32bit >= 2.9.4-3.1
  • libxml2-debugsource >= 2.9.4-3.1
  • libxml2-devel >= 2.9.4-3.1
  • libxml2-devel-32bit >= 2.9.4-3.1
  • libxml2-doc >= 2.9.4-3.1
  • libxml2-tools >= 2.9.4-3.1
  • libxml2-tools-debuginfo >= 2.9.4-3.1
  • python-libxml2 >= 2.9.4-3.1
  • python-libxml2-debuginfo >= 2.9.4-3.1
  • python-libxml2-debugsource >= 2.9.4-3.1
Patchnames:
openSUSE-2017-244
openSUSE Leap 42.3
  • libxml2-2 >= 2.9.4-10.1
  • libxml2-2-32bit >= 2.9.4-10.1
  • libxml2-devel >= 2.9.4-10.1
  • libxml2-tools >= 2.9.4-10.1
Patchnames:
openSUSE Leap 42.3 GA libxml2-2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP1 libxml2 Released
SUSE Linux Enterprise Desktop 12 SP2 libxml2 Released
SUSE Linux Enterprise SDK 11 SP4 libxml2 Released
SUSE Linux Enterprise SDK 12 GA libxml2 Affected
SUSE Linux Enterprise SDK 12 SP1 libxml2 Released
SUSE Linux Enterprise SDK 12 SP2 libxml2 Released
SUSE Linux Enterprise Server 11 SP4 libxml2 Released
SUSE Linux Enterprise Server 12 SP1 libxml2 Released
SUSE Linux Enterprise Server 12 SP2 libxml2 Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI libxml2 Released